rpms/beagle/devel beagle-0.2.1-sqlite3.patch, NONE, 1.1 beagle.spec, 1.20, 1.21

fedora-cvs-commits at redhat.com fedora-cvs-commits at redhat.com
Tue Jan 31 20:27:03 UTC 2006


Author: caillon

Update of /cvs/dist/rpms/beagle/devel
In directory cvs.devel.redhat.com:/tmp/cvs-serv16215

Modified Files:
	beagle.spec 
Added Files:
	beagle-0.2.1-sqlite3.patch 
Log Message:
* Tue Jan 31 2006 Christopher Aillon <caillon at redhat.com> 0.2.1-1
- Update to beagle 0.2.1
- Use sqlite3 instead of sqlite2


beagle-0.2.1-sqlite3.patch:
 configure |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

--- NEW FILE beagle-0.2.1-sqlite3.patch ---
--- beagle-0.2.1/configure.sqlite	2006-01-31 04:10:10.000000000 -0500
+++ beagle-0.2.1/configure	2006-01-31 04:10:38.000000000 -0500
@@ -21852,12 +21852,12 @@
 
 if test -n "$PKG_CONFIG"; then
         if test -n "$PKG_CONFIG" && \
-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"sqlite3 >= 3.3.1\"") >&5
-  ($PKG_CONFIG --exists --print-errors "sqlite3 >= 3.3.1") 2>&5
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"sqlite3 >= 3.3\"") >&5
+  ($PKG_CONFIG --exists --print-errors "sqlite3 >= 3.3") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-  pkg_cv_SQLITE_CFLAGS=`$PKG_CONFIG --cflags "sqlite3 >= 3.3.1" 2>/dev/null`
+  pkg_cv_SQLITE_CFLAGS=`$PKG_CONFIG --cflags "sqlite3 >= 3.3" 2>/dev/null`
 else
   pkg_failed=yes
 fi
@@ -21866,12 +21866,12 @@
 fi
 if test -n "$PKG_CONFIG"; then
         if test -n "$PKG_CONFIG" && \
-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"sqlite3 >= 3.3.1\"") >&5
-  ($PKG_CONFIG --exists --print-errors "sqlite3 >= 3.3.1") 2>&5
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"sqlite3 >= 3.3\"") >&5
+  ($PKG_CONFIG --exists --print-errors "sqlite3 >= 3.3") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-  pkg_cv_SQLITE_LIBS=`$PKG_CONFIG --libs "sqlite3 >= 3.3.1" 2>/dev/null`
+  pkg_cv_SQLITE_LIBS=`$PKG_CONFIG --libs "sqlite3 >= 3.3" 2>/dev/null`
 else
   pkg_failed=yes
 fi
@@ -21880,7 +21880,7 @@
 fi
 
 if test $pkg_failed = yes; then
-	SQLITE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "sqlite3 >= 3.3.1"`
+	SQLITE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "sqlite3 >= 3.3"`
 	# Put the nasty error message in config.log where it belongs
 	echo "$SQLITE_PKG_ERRORS" 1>&5
 
@@ -21896,8 +21896,8 @@
 fi
 
 if test "x$SQLITE_MAJ_VER" = "x0"; then
-	{ { echo "$as_me:$LINENO: error: You need to install sqlite 2.x or >= 3.3.1" >&5
-echo "$as_me: error: You need to install sqlite 2.x or >= 3.3.1" >&2;}
+	{ { echo "$as_me:$LINENO: error: You need to install sqlite 2.x or >= 3.3" >&5
+echo "$as_me: error: You need to install sqlite 2.x or >= 3.3" >&2;}
    { (exit 1); exit 1; }; }
 fi
 


Index: beagle.spec
===================================================================
RCS file: /cvs/dist/rpms/beagle/devel/beagle.spec,v
retrieving revision 1.20
retrieving revision 1.21
diff -u -r1.20 -r1.21
--- beagle.spec	31 Jan 2006 19:51:50 -0000	1.20
+++ beagle.spec	31 Jan 2006 20:27:01 -0000	1.21
@@ -1,6 +1,6 @@
 Name:           beagle
-Version:        0.2.0
-Release:        4
+Version:        0.2.1
+Release:        1
 Summary:        The Beagle Search Infrastructure
 
 Group:          User Interface/Desktops
@@ -10,14 +10,16 @@
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  mono-devel mono-data mono-data-sqlite
-BuildRequires:  gtk-sharp2-gapi sqlite2-devel mono-web zip libexif-devel
+BuildRequires:  gtk-sharp2-gapi mono-web zip libexif-devel
 BuildRequires:  gsf-sharp
+BuildRequires:  sqlite-devel > 3.3.1
 BuildRequires:  gmime-sharp >= 2.1.19
 BuildRequires:  evolution-sharp >= 0.10.2-3
 BuildRequires:  libXScrnSaver-devel
-Requires: sqlite2 zip mono-core poppler-utils
-
+Requires: sqlite >= 3.3.1
+Requires: zip mono-core poppler-utils
 Patch0: beagle-0.2.0-security-fix.patch
+Patch1: beagle-0.2.1-sqlite3.patch
 
 # Mono only availible on these:
 ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc s390 s390x
@@ -52,6 +54,7 @@
 %prep
 %setup -q
 %patch0 -p1 -b .security-fix
+%patch1 -p1 -b .sqlite3
 
 %build
 export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
@@ -145,11 +148,15 @@
 %{_prefix}/lib/python*/site-packages/beagle.so
 
 %changelog
+* Tue Jan 31 2006 Christopher Aillon <caillon at redhat.com> 0.2.1-1
+- Update to beagle 0.2.1
+- Use sqlite3 instead of sqlite2
+
 * Tue Jan 31 2006 Ray Strode <rstrode at redhat.com> 0.2.0-4 
 - don't blindly run beagled in current working directory 
   (bug 177675)
 
- * Tue Jan 24 2006 Than Ngo <than at redhat.com> 0.2.0-3 
+* Tue Jan 24 2006 Than Ngo <than at redhat.com> 0.2.0-3 
 - added --add-only-show-in=gnome to the desktop-file-install calls
  
 * Tue Jan 24 2006 Than Ngo <than at redhat.com> 0.2.0-2




More information about the fedora-cvs-commits mailing list